grow_lattice {memnet} | R Documentation

## Regular lattice network model

### Description

Grow regular lattice networks, in which every node is connected to m neighbors.

### Usage

    grow_lattice(n = 100L, k = 10L)

### Arguments

`n` | Integer. Number of nodes in the network.
`k` | Integer. Number of edges added for each incoming node. Can only be even.

### Value

n x n adjacency matrix.

### References

Watts, D. J., & Strogatz, S. H. (1998). Collective dynamics of ‘small-world’ networks. Nature, 393(6684), 440-442.

### Examples

    # generate small lattice
    grow_lattice(n = 6, k = 2)

    ## Not run:
    # generate large lattice
    grow_lattice(n = 100, k = 10, p = .1)

    ## End(Not run)

[Package memnet version 0.1.0 Index]